;; Applies a prefix to selected Layers in a Drawing except the 0 layer and Defpoints Layer ;;;
(defun C:LP ( / acadDocument layertable layName prefix filter)
  (vl-load-com)
  (setq prefix (getstring T "\nEnter Layer Prefix to Apply to selected Layers: "))
  (setq filter (getstring T "\nEnter Layer Filter to select Layers to be prefixed or press Enter for all Layers: "))
  (setq acadDocument (vla-get-activedocument (vlax-get-acad-object)))
  (setq layertable (vla-get-layers acadDocument))
  (vlax-map-collection layertable 'layer-mod)
  (princ)
)

(defun layer-mod (layertableRec)
  (setq layName (vlax-get-property layertableRec 'Name))
  (cond
    ((= filter "")
     (if (NOT(wcmatch layName "Defpoints,DEFPOINTS,0" ))
       (vla-put-Name layertableRec (strcat prefix layName))
       ) ;endif
     )
    (T
     (if (AND (NOT(wcmatch layName "Defpoints,DEFPOINTS,0" ))
	      (wcmatch layName filter)
	      )
       (vla-put-Name layertableRec (strcat prefix layName))
       )
     )
    )
 )


